%define sname	allegro
%define name	%{sname}-testing
%define version	4.1.18
%define release	1mdk
%define libname	%mklibname %{name} %{major}
%define	libname_devel	%mklibname %{name} %{major} -d
%define major	4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Game programming library
Source0:	http://sunsite.auc.dk/allegro/%{sname}-%{version}.tar.bz2
License:	Public Domain
#hum, Gift Ware
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:	%{ix86}
URL:		http://alleg.sourceforge.net/
BuildRequires:	arts-devel esound-devel audiofile-devel XFree86-devel
Conflicts:	allegro < 4.1.18

%description
Allegro is a library of functions for use in computer games

%package -n	%{libname}
Summary:	Game programming library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}, lib%{sname} = %{version}-%{release}
Conflicts:	liballegro4 < 4.1.18

%description -n	%{libname}
Allegro is a library of functions for use in computer games

%package -n	%{libname_devel}
Summary:	Game programming library
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	allegro-testing-devel, allegro-devel
Obsoletes:	allegro-testing-devel, allegro-devel
Conflicts:	liballegro4-devel < 4.1.18

%description -n	%{libname_devel}
Allegro is a library of functions for use in computer games.
This package contains files needed to build programs using Allegro.

%prep
%setup -q -n %{sname}-%{version}

%build
%configure --enable-shared \
            --enable-static \
	    --enable-pentiumopts \
	    --prefix=%{_prefix} \
            --mandir=%{_mandir} \
            --infodir=%{_infodir}
make
MKDATA_PRELOAD=../../lib/unix/liballeg-%{version}.so DAT=../../tools/dat misc/mkdata.sh
#make depend
#make CFLAGS="`artsc-config --cflags` -DALLEGRO_LIB_BUILD $RPM_OPT_FLAGS -funroll-loops -ffast-math -Wno-unused"

%install
rm -rf $RPM_BUILD_ROOT
# If your rpm doesn't automatically compress documentation, you can
# use install-gzipped-man and install-gzipped-info.
%{makeinstall_std} DESTDIR=%{buildroot} \
     install \
     install-man \
     install-info

install -D -m 644 allegro.cfg %{buildroot}%{_sysconfdir}/allegrorc
install -d -m 755 %{buildroot}%{_datadir}/allegro
install -D -m 644 keyboard.dat language.dat %{buildroot}%{_datadir}/allegro
find demo examples setup -type f -perm +111 -print | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post  -n %libname_devel
install-info %{_infodir}/allegro.info* %{_infodir}/dir

%postun  -n %libname_devel
install-info --delete allegro %{_infodir}/dir

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES THANKS
%doc readme.txt docs/build/unix.txt docs/build/linux.txt
#docs/build/* tools/*
%{_bindir}/colormap
%{_bindir}/dat
%{_bindir}/dat2c
%{_bindir}/dat2s
%{_bindir}/exedat
%{_bindir}/grabber
%{_bindir}/pack
%{_bindir}/pat2dat
%{_bindir}/rgbmap
%{_bindir}/textconv
%{_datadir}/allegro
%config(noreplace) %{_sysconfdir}/allegrorc

%files -n %libname
%defattr(-,root,root)
%doc readme.txt
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/allegro

%files -n %libname_devel
%defattr(-,root,root)
%doc readme.txt todo.txt
#docs/txt/* docs/html/* demo/* examples/* setup/*
%doc docs/txt/abi.txt docs/txt/ahack.txt docs/txt/allegro.txt
%doc docs/txt/const.txt docs/txt/faq.txt docs/txt/help.txt
%doc docs/html
%doc demo examples setup
%{_bindir}/allegro-config
%{_libdir}/*.a
%{_includedir}/*
%{_mandir}/*/*
%{_infodir}/allegro.info*
%{_datadir}/aclocal/allegro.m4

%changelog
* Sun Apr 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.18-1mdk
- from Guillaume Bedot <littletux@zarb.org> :
	o new package allegro-testing based on official 4.1.18 and 4.0.3-6mdk specs.
